org.eclipse.net4j.db.ddl.delta

## Interface IDBFieldDelta

- All Superinterfaces:
    Comparable<IDBDelta>, IContainer<IDBDelta>, IDBDelta, IDBDeltaWithPosition, IDBDeltaWithProperties, IDBElement, IDBNamedElement, INotifier, PositionProvider

      public interface IDBFieldDelta
      extends IDBDeltaWithPosition

  Since:
    4.2
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.db.ddl.delta.IDBDelta

      `IDBDelta.ChangeKind, IDBDelta.DeltaType`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

      `IContainer.Modifiable<E>, IContainer.Persistable<E>, IContainer.Persistence<E>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `NOT_NULL_PROPERTY`
    `static String` | `PRECISION_PROPERTY`
    `static String` | `SCALE_PROPERTY`
    `static String` | `TYPE_PROPERTY`

    - ### Fields inherited from interface org.eclipse.net4j.db.ddl.delta.IDBDeltaWithPosition

      `POSITION_PROPERTY`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `IDBTableDelta` | `getParent()`
    `IDBField` | `getSchemaElement(IDBSchema schema)`

    - ### Methods inherited from interface org.eclipse.net4j.db.ddl.delta.IDBDeltaWithProperties

      `getPropertyDelta, getPropertyDeltas, getPropertyDeltasSortedByName, getPropertyValue, getPropertyValue`

    - ### Methods inherited from interface org.eclipse.net4j.db.ddl.delta.IDBDelta

      `accept, getChangeKind, getDeltaType`

    - ### Methods inherited from interface org.eclipse.net4j.db.ddl.IDBNamedElement

      `getName`

    - ### Methods inherited from interface org.eclipse.net4j.db.ddl.IDBElement

      `getProperties`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

    - ### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

      `getElements, isEmpty`

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

    - ### Methods inherited from interface org.eclipse.net4j.util.collection.PositionProvider

      `getPosition`

- - ### Field Detail

    - #### TYPE_PROPERTY

          static final String TYPE_PROPERTY

      See Also:
        Constant Field Values

    - #### PRECISION_PROPERTY

          static final String PRECISION_PROPERTY

      See Also:
        Constant Field Values

    - #### SCALE_PROPERTY

          static final String SCALE_PROPERTY

      See Also:
        Constant Field Values

    - #### NOT_NULL_PROPERTY

          static final String NOT_NULL_PROPERTY

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getParent

          IDBTableDelta getParent()

      Specified by:
        `getParent` in interface `IDBDelta`

    - #### getSchemaElement

          IDBField getSchemaElement(IDBSchema schema)

      Specified by:
        `getSchemaElement` in interface `IDBDelta`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html